package com.braintree.daos;


import de.hybris.platform.core.model.BraintreePluginConfigurationModel;
import de.hybris.platform.store.BaseStoreModel;

import java.util.List;

public interface BrainTreeBaseStoreDao {

    List<BaseStoreModel> findBaseStoresByPayPalConfiguration(String braintreePayPalConfigurationId);
    List<BaseStoreModel> findBaseStoresByGeneralConfiguration(String braintreeGeneralConfigurationId);
    List<BaseStoreModel> findBaseStoresByPluginConfiguration(BraintreePluginConfigurationModel pluginConfiguration);
}
